Page MenuHomePhabricator

Prepare Platform/Ops April 2015 quarterly review presentation
Closed, ResolvedPublic

Description

The April 2015 quarterly review process is changing from the prior format of individual per-team reviews to a combined review format for larger groups. One such grouping will be most of the Platform group:

This group will have 90 minutes to present a summary of the goals achieved in FY2014-2015 Q3 and the work planned for FY2014-2015 Q4.

Event Timeline

bd808 created this task.Mar 6 2015, 7:34 PM
bd808 updated the task description. (Show Details)
bd808 raised the priority of this task from to Normal.
bd808 claimed this task.
bd808 added subscribers: bd808, TobyBartels, RobLa.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 7:34 PM
bd808 set Security to None.Mar 6 2015, 8:12 PM
bd808 edited subscribers, added: Tnegrin; removed: TobyBartels.
GWicke moved this task from Backlog to Next on the Services board.Mar 17 2015, 7:55 PM
RobLa-WMF renamed this task from Prepare Platform April 2015 quarterly review presentation to Prepare Platform/Ops April 2015 quarterly review presentation.Mar 19 2015, 12:21 AM
mark added subscribers: mark, faidon.Mar 27 2015, 1:20 PM
Qgil added a subscriber: Qgil.Mar 27 2015, 1:20 PM

Instead of "Blocks" should be "Blocked by", right? But we don't need all these notifications, so let's just leave it as it is. :)

bd808 added a comment.Mar 27 2015, 3:31 PM

Instead of "Blocks" should be "Blocked by", right? But we don't need all these notifications, so let's just leave it as it is. :)

I actually see the dependencies pointing in the direction I configured. In my experience the plans that are taken into the quarterly planning process are hypothetical and are only made concrete by the actual discussion and approval of the goals in that meeting and subsequent communications.

Qgil closed this task as Resolved.Apr 16 2015, 10:07 AM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 27 2015, 7:40 AM